/*--------------------------------------------------------------------

              Kt Intelligent picture File Format CODEC
                    Copyright (c) KT-Lab. 1996-2000

                     Author: Yoshikazu Kita
                             Shinji Chiba

--------------------------------------------------------------------*/
#ifndef __KIFF_H__
#define __KIFF_H__

#define KIFF_MODE_YUV	0
#define KIFF_MODE_RGB	1
#define Q_KIFF_ORIGINAL	0
#define Q_JPEG_STANDARD	1
#define Q_CG_ANIMATIONS	2

class KIFF
{
public:
	KIFF();
	~KIFF();
	virtual DWORD GetVersion();
	virtual void GetSize( int*, int* );
	virtual void GetExSize( int*, int* );
	virtual int SetSize( int, int );
	virtual DWORD GetPixel( int, int );
	virtual int LoadFromFile( LPCTSTR );
	virtual void SetPixel( int, int, DWORD );
	virtual int SaveToFile( LPCTSTR, int = KIFF_MODE_YUV, int = 0, int = Q_KIFF_ORIGINAL );
	virtual int ConvertKiffToBmp( LPCTSTR, LPCTSTR );
	virtual int ConvertBmpToKiff( LPCTSTR, LPCTSTR, int = KIFF_MODE_YUV, int = 0, int = Q_KIFF_ORIGINAL );
	virtual int LoadFromMemory( LPVOID, LONG );
	virtual LPVOID GetBitsPointer();
};

#endif	/* __KIFF_H__ */
